---
title: "Améliorer l'univers informatique"
date: 2015-10-12
author: motius
template: post
tags: éducation,état,fsf,infrastructure,logiciel libre,planet libre,rms,social,télécom,tribunes
comments: true
---

Bonjour à tous !

Ce post au titre ambitieux va traiter de quelques problèmes fréquents que vous avez pu rencontrer, et de leurs solutions par les gentils du net.

Les thèmes abordés seront le "logiciel libre" dans l'éducation, les "télécom" en tant qu'infrastructure, et "l'informatique" pour le commun des mortels (tout le monde sait qu'un pseudo UNIX est immortel ;) ).

Les idées de l'article sont indépendantes, puisqu'il s'agit-là d'une compilation de problèmes.

# Le logiciel libre et l'éducation

Ce premier paragraphe vient faire écho à [cet article](https://www.gnu.org/education/edu-schools.fr.html) (traduit) de Richard Stallman (rms). Dans la lignée du scandale Volkswagen qui invite à l'utilisation des logiciels libre, rms explique l'intérêt de la préférence du libre dans les écoles.

Je n'ai pas le niveau pour me comparer à rms (ni à l'excellent Eben Moglen), mais les idées développées par la fsf - quoique fondamentalement utiles pour le progrès du monde libre, et l'accessibilité de l'informatique à tous - sont généralement ou blanches ou noires.

Les deux différences entre "l'open-source" et "le libre", sont la philosophie qu'il y a derrière, et la licence.

- La philosophie du libre impose le partage. Si vous utilisez du logiciel libre que vous améliorez, il faut qu'il y ait des retours pour la communauté du libre. Le libre est un bien commun, en somme, une base sur laquelle on peut bâtir son petit bout de code.
- La licence -- la GPL par exemple -- qui va avec est donc différente d'une licence BSD. On peut fermer une branche de code sous BSD et s'approprier tout ce qu'on a construit dessus, la GPL dit qu non, et qu'il vaut mieux contribuer, puisqu'on a eu de l'intérêt pour du code ouvert que parce qu'il est de bonne qualité, à jour, compétitif industriellement parlant.

C'est pourquoi les licences ouvertes (libre ou open-source) sont a privilégier en termes d'éducation :

- l'ouverture incite à l'apprentissage et/ou la bidouille ;
- l'ouverture diminue les barrières à l'entrée ;
- les applications ouvertes sont l'exemple de ce qui se fait dans l'industrie (même [Microsoft utilise Ubuntu](http://www.zdnet.com/article/microsoft-deploys-first-major-server-application-on-ubuntu-linux/) !) ;
- l'école n'a pas à se soucier de licences ou droits d'auteurs qui :
    - coûtent des sous ;
    - posent des problèmes de compatibilité (pour C# disponible sur windows®), d'utilisation (pour les droits d'auteur), etc.

L'utilisation de solutions non-ouvertes posent plusieurs problèmes supplémentaires :

- dépendance des élèves à une plateforme ;
- dépendance des enseignants à un outil.
- risque de ne pas être assez général dans le domaine et ne parler que de l'outil propriétaire étudié (parler uniquement de Microsoft Access en cours de bases de données alors que MySQL de Oracle, et PostgreSQL ont une part de marché plus importante).

C'est pourquoi il devrait y avoir (sinon une exclusivité par trop utopique) une préférence marquée pour l'univers ouvert (libre ou open-source).

**TL;DR :** L'ouverture apportée par les logiciels libres (ou open-source) est bonne pour l'apprentissage, pour les élèves, pour les enseignants, pour donner une perspective et ne pas être enfermé dans un outils propriétaire, et partant, devrait être encouragée fortement.

# Les réseaux : une infrastructure d'État

Vers la fin du XIXème siècle, la [construction de l'infrastructure](https://www.qwant.com/?q=construction%20chemin%20fer%20france&t=images) de réseau de chemin de fer a mobilisé jusqu'à 1/3 de l'épargne des français. Il s'est agit d'une entreprise complexe où cohabitèrent les directives de l'État, ses ingénieurs des Ponts-et-Chaussées, les entreprises privées -- chargées de la construction, du respect des normes et du tracé -- et enfin des capitaux actions des Français.

Le numérique est une révolution du même type, mais d'un ordre supérieur. Du même type, il s'agit entre autres d'une infrastructure réseau (fibre optique, réseau cuivre, antennes GPRS, EDGE, 2G, 3G, 4G, faisceaux hertziens...). D'un ordre supérieur, le numrique permet l'acheminement d'informations plus vite que la poste combinée au train et à l'avion. Mais le numérique n'est pas limité à l'infrastructure réseau, il implique aussi d'immenses espaces de stockages (bases de données, datacentres, fichiers de boîtes mails, etc.) et une intelligence au bout, l'ordinateur.

Le réseau de transport (ferré, routier, aérien...) n'a pas changé la nature de ce que l'on voulait changer : biens, personnes, objets à vendre ou vendus, etc. Le numérique si. Le numérique s'oppose à ce qui est analogique. Ce qui est numérique n'existe que sous forme de 0 et de 1. L'enjeu de la transformation entraîné par le numérique est donc beaucoup plus grand.

- Les gens font des albums photos, mais ils ne tiennent pas un serveur de photos en ligne avec une liste de permissions afin qu'untel puisse y accéder, mais qu'un autre se voie refuser cette possibilité. Ils utilisent facebook.
- Les films montrent la manière dont nos ancêtres (ça y est j'ai l'impression d'être vieux) géraient leur conversations épistolaires. Ils regroupaient les lettres par conversations et les rangeaient. Ça fait même l'objet de drames lorsqu'il y a du contenu compromettant dans l'une d'entre elles. Mais nous ne tenons pas de serveurs de mails. On utilise le webmail de son FAI, ou de Google, de Microsoft, de Yahoo...

Les exemples comme ceci sont légion. Mais le numérique a fait plus que cela. Avant le numérique, le coût d'une photo était bien plus grand. Une fois la photo prise avec son Kodak, il en restait une de moins sur la pellicule, que celle-ci fût réussie ou pas. On peut désormais les effacer. De plus les disques durs ont rendu le stockage bon marché.

Tout ça pour dire qu'il y a un changement de paradigme du fait du numérique, mais que certaines habitudes d'avant l'ère numérique n'ont pas subsisté. Parfois c'est une bonne chose, et parfois non. Et que d'autres habitudes on subsisté. Qui parfois sont utiles, parfois nuisibles dans ce "nouveau monde". (J'y reviendrais dans un prochain article, d'ailleurs).

Voyons où se situe le problème à l'aide de ces analogies (dont on a bien précisé qu'elles sont approximatives). Si la poste avait eu un service de bijoux concurrent de Baccarat, ou s'était associé à un concurrent de Baccarat, et qu'elle ralentissait de plusieurs mois l'acheminement des produits Baccarat, on trouverait cela intolérable, et cette pratique serait taxée de déloyale et non-concurrentielle. Sur un autre registre, si demain La Poste égare ou délaye l'envoi de tracts du PS, mais accélère celui du RPR (pardon de l'UMP) ce serait un scandale. L'existence même du CSA sert à garantir une forme d'équilibre du temps de parole à la TV des politiques, ce qui n'est rien d'autre qu'une égalité des chances de parler aux citoyens, étant donné que le nombre de chaînes hertziennes de TV est limité.

Eh bien dans le monde numérique -- notre monde, le nôtre à tous, sans peut-être que vous vous en soyez rendu compte -- La Poste, ce sont nos FAIs (Orange, Bouygues, SFR, Numéricâble, Free...), et le concurrent de Baccarat ce sont les grands hébergeurs du web. Google, Facebook, Microsoft, Apple, Twitter, Amazon. Le fait qu'un FAI privilégie le trafic vers un hébergeur plutôt qu'un autre pose le même problème qu'avant. Problèmes de censure, d'accès à l'information, de pratique déloyale et non-concurrentielle.

Empêcher cela porte un non : La neutralité du net. La neutralité du net préserve l'accès à l'information. Préserve la concurrence.

Vous pouvez souffler un peu, on a déjà fait un gros bout, mais la neutralité du net n'est même pas l'objet de cet article, même s'il est essentiel d'en comprendre les enjeux pour la suite.

J'en reviens au tout début de cette seconde partie : l'infrastructure qu'est un réseau de communication. Si ce sont des entreprises qui vendent du contenu qui créent les infrastructures qui délivrent le produit, ça pose problème. Imaginez que le premier marché de La Poste fût la vente de bijoux et non pas d'être un réseau de transport. Du jour ou La Poste devient un moyen de transport d'objet et est le seul moyen de véhiculer les objets, Baccarat a un problème. ce problème existe maintenant, il prend deux formes :

- l'association de certains opérateurs avec des boîtes pour leur garantir, moyennant finance, une priorité dans leur réseau ;
- le fait que des distributeurs de contenus se lancent dans le réseau informatique. Je pense bien évidemment à Google Fiber, pour l'occident, et aux [drones de Facebook](http://www.lesechos.fr/tech-medias/hightech/021239503379-facebook-devoile-son-drone-solaire-pour-connecter-lensemble-de-la-planete-a-internet-1141297.php) pour leur projet internet.org (qui vient d'être renommé), et aux [ballons stratosphériques](http://www.nextinpact.com/news/91354-projet-loon-google-sassocie-au-cnes-pour-ses-ballons-stratospheriques-connectes.htm) de Google. Ces deux derniers projets permettent à des pays en voie de développement d'accéder à l'internet, ce qui est une bonne chose, tant que l'on légifère dessus. Pour chaque pays.

Vous le voyez, le passsage au numérique est un sujet complexe, mais il existe des moyens pour s'en sortir bien. En ce qui concerne cette partie, les solutions (à choisir dans une gamme de solutions) ressemblent à pas mal de neutralité du net, plus une pincée de législation sur l'investissement pour les infrastructures réseau. Que Google et Facebook s'enrichissent en proposant un service d'hébergement **et** un service de FAI, pas de problème. Tant qu'il y a des garanties apportées. Elles sont synonymes d'une très grande transparence. À l'inverse, un État informé pourrait faire un choix plus souverainiste. Mon but étant toujours un choix informé.

**TL;DR :** Entre opérateurs réseaux et fournisseurs de contenu, il y a un grand enjeu pouvoir de distribution de l'information et de concurrence. L'un des aspects importants est la neutralité du net, l'autre la nécessité d'une loi par État régissant leurs rapports, et l'évolution de l'infrastructure.

# La responsabilité sociale de l'univers informatique

Les gens ne gèrent plus leurs mails ? Très bien. C'est dommage, mais c'est ainsi. Les gens ne gèrent pas d'albums photo en ligne ? Très bien. C'est vraiment dommage, mais c'est ainsi.

De nombreux acteurs sont nés du numérique, et ce domaine s'est complexifié -- on a vu tout à l'heure que le numérique pris largement regroupe le réseau, le stockage, le logiciel, l'informatique... De cette complexité et cette richesse provient l'ignorance relative du _vulgus pecum_ en matière de numérique. Plus qu'aucune autre discipline spécialisée, un contrat social est nécessaire entre les utilisateurs et "les adminsys" (plutôt les décideurs des grandes plateformes du web).

Les parallèles, c'est bien, ça fixe les idées. Allons-y.

Si je me fais arnaquer par mon banquier (ou si vous criez à la tautologie), la confiance que je vais accorder dans les métiers liés à la finance, etc. va baisser.

De même, si les personnes qualifiées (ou douées) dans des domaines IT sont les seules à pourvoir échapper à certains abus que l'on rencontre sur le web, la confiance générale diminuera.

On peut voir ceci de deux manières :

- soit sous forme d'un équilibre, les gens se font avoir, puis commencent à se méfier, et continuent à utiliser l'outil, mais moins. De même, les non-banquiers se font roulers, les agents immobiliers festoient comme des vautours sur les non-initiés, etc. et chaque profession pratique son propre corporatisme.
- Soit on essaie d'établir une sorte de renouveau de contrat social, où chacun se voit attribuer un traitement équivalent.

À mon avis, tout ceci tient toujours de l'équilibre. Mais on peut faire plus ou moins d'effort dans la transparence.

La raison pour laquelle ce contrat social est si important pour le domaine informatique est qu'il touche littéralement toutes les professions, en plus de tous les gens.

**TL;DR :** notion de responsabilité d'une profession envers les non-initiés, au moins _a minima_. afin de préserver un équilibre, un certain contrat social et éviter un corporatisme des professions.

Voilà, c'est tout pour aujourd'hui, long article qui m'a pris pas mal de temps. Des bouts de cette réflexion se retrouveront dans un prochain article, n'en doutez pas ;). N'hésitez pas à commenter l'article, les idées à rajouter des exemples qui vous paraîtraient pertinents. Bonne journée !

_Motius_
