---
title: "Controverse sur un accord entre Wikipédia et l'éditeur Elsevier"
date: 2015-09-17
author: motius
template: post
tags: creative commons,elsevier,news,planet libre,tribunes,wikimédia,wikipédia
comments: true
---

Bonjour à tous !

Aujourd'hui sur la toile, le mot WikiGate circule. Mais de quoi ça s'agit-il donc bien ? Heureusement l'équipe hashtagueule est là pour mettre au clair tout ça.

Vous aurez tous reconnu la formation du mot-clef Wikigate à partir de [Watergate](https://fr.wikipedia.org/wiki/Scandale_du_Watergate), ce scandale à propos d'écoutes aux États-Unis. Apparemment, c'est devenu traditionnel d'utiliser le suffixe -gate pour désigner des scandales ou de grands débats sur la toile.

# De quoi est-ce que relève ce Wikigate ?

Connaissez-vous  Elsevier ? Il s'agit d'une maison d'édition qui publie des articles scientifiques. Celle-ci vient d'offrir à Wikipédia 45 comptes d'accès à leurs articles scientifiques. Les personnes ayant accès à ces comptes seront très probablement des éditeurs fréquents de l'encyclopédie. Expliquons le drame, mais avant, un lien vers le [blog de la fondation Wikimédia](https://blog.wikimedia.org/2015/09/16/open-access-in-a-closed-world/) qui traite ce problème (en anglais).

Il y a beaucoup d'aspect à cet "offre" de la part d'Elsevier, et je vais m'efforcer de les aborder tous avant de donner mon avis.

# Traitons tout d'abord les avantages de cette offre

- pour Wikipédia, il s'agit-là d'un accès direct à l'information dans le monde scientifique, qui plus est avec un éditeur assez reconnu ;
- cet accès peut en outre signifier une amélioration plus rapide du contenu scientifique de l'encyclopédie.

# Voyons à présent les  inconvénients

(c'est bizarre à dire d'une offre gratuite, mais ayons les yeux ouverts...)

- Tout d'abord, cela pose des problèmes de vérification de l'information sur Wikipédia. En effet, les éditeurs de l'encyclopédie ayant reçu un accès aux articles d'Elsevier peuvent être tentés de les citer, et cela pose plusieurs problèmes :
    - premièrement un problème de vérification par relecture directe, en effet il ne sera pas possible à tout un chacun d'aller vérifier qu'un propos sur Wikipédia lié à une citation est conforme à la citation puisque les articles de Elsevier ne sont pas disponibles.
    - Deuxièmement, Wikipédia est une encyclopédie, et comme telle, son but est plutôt de recueillir une information obtenue par un processus scientifique dit "contradictoire", c'est-à-dire (entre autres) revu et corrigé par des pairs, testé par des équipes indépendantes, etc...
    - Troisièmement, par nature [Wikipédia est une encyclopédie ouverte](https://fr.wikipedia.org/wiki/Wikip%C3%A9dia#Nature) : il y a (au moins) deux contraintes liées à cela :
        - on ne peut pas publier n'importe quoi sur l'encyclopédie (du contenu breveté, avec du droit d'auteur, etc...) ;
        - les contributeurs s'engagent à mettre leur publication sous une [licence](https://wikimediafoundation.org/wiki/Terms_of_Use/fr#Licences_applicables_au_contenu) qui permet un certain partage. Il serait injuste envers les contributeurs de fermer l'encyclopédie partiellement, par exemple.
- Un second problème vient du fait que Wikipédia est le 7ème site le plus visité au monde, 5è en France (selon [Alexa](http://www.alexa.com/siteinfo/wikipedia.org)). Ainsi :
    - Elsevier se fait une publicité immense si la plupart des lien d'articles scientifiques redirige vers eux ;
    - il s'agit donc d'un problème d'indépendance de la part de Wikipédia ;
    - une menace plus grave à mon avis est celle qu'on appelle "native advertising", cette tendance où vous lisez un papier  qui ressemble à un article, mais qui en fait est de la publicité, ou un article d'une société, qui n'est pas tenue aux règles journalistiques.
- Le dernier point soulève des questions liées à cette actualité, mais pas de réel problème imminent :
    - le droit de citation va surgir dans ce débat, il va y avoir une sorte de jurisprudence ou d'équilibre (si vous faites du droit ou de la physique ^^) sur la possibilité des auteurs de Wikipédia de citer les articles. Il est évident que cet accès de la part de Elsevier n'est pas donné pour qu'instantanément les articles se retrouvassent sur Wikipédia...
    - en deuxième lieu, mais lié au premier, il y a la question de la durée au bout de laquelle le contenu d'un article pourra se retrouver en grande partie dans l'encyclopédie, mais il s'agit-là de vieux débat...

# Démêlons le Schmilblick

Alors que faire ? me direz-vous. Hauts les cœurs, et envisageons la meilleure sortie pour tous de ce parti.

Ayant vu les problèmes clairement, on peut suggérer

- S'il faut qu'Elsevier soit cité, alors que premièrement, Elsevier soit citée le moins possible comme seule source. C'est-à-dire que le plus possible, il faut que les citation de bas de page (celles que les collégiens utilisent pour leurs exposés ;) ) soient vers des articles en libre accès, quitte à ce qu'eux-même redirigent vers Elsevier, et qu'en dernier ressort, l'on cite seulement Elsevier.
- qu'on utilise la catégorie "discussion" de Wikipédia pour les articles vraiment récents, afin d'éviter le contenu sujet à débat (n'ayez crainte, les wikipédiens le font déjà)

C'est tout, n'oubliez pas de donner à la fondation Wikimédia qui s'occupe de Wikipédia, de lire et corriger Wikipédia, et merci d'avoir prit le temps de vous inquiéter pour l'encyclopédie, et n'oubliez pas de commenter et donner votre avis !

_Motius_
